// Example501C
#include "SparkFunBME280.h"

BME280 bme280;

long s_time = 0, e_time = 0;

void setup() {
  bme280.settings.commInterface   = I2C_MODE;
  bme280.settings.I2CAddress      = 0x76;
  bme280.settings.runMode         = 3;
  bme280.settings.tStandby        = 0;
  bme280.settings.filter          = 0;
  bme280.settings.tempOverSample  = 1;
  bme280.settings.pressOverSample = 1;
  bme280.settings.humidOverSample = 1;
  delay(10);
  bme280.begin();

  Serial.begin(9600);
}

void loop() {
  s_time = millis();
//------------------------------------------------------------
  Serial.print("Temperature: ");
  Serial.print(bme280.readTempC(), 2);
  Serial.println(" degrees C");

  Serial.print("Humidity: ");
  Serial.print(bme280.readFloatHumidity(), 2);
  Serial.println(" %");

  Serial.print("Pressure: ");
  Serial.print(bme280.readFloatPressure() / 100, 2);
  Serial.println(" hPa");

  Serial.print("Altitude: ");
  Serial.print(bme280.readFloatAltitudeMeters(), 2);
  Serial.println("m");

  Serial.println();
//------------------------------------------------------------
  e_time =  millis();

  Serial.print(e_time - s_time);
  Serial.println("ms");

  delay(1000);
}

