// Example503A
#include "SparkFunBME280.h"

BME280 bme280;

long s_time = 0, e_time = 0;

void setup() {
  bme280.settings.commInterface   = I2C_MODE;
  bme280.settings.I2CAddress      = 0x76;
  bme280.settings.runMode         = 3;
  bme280.settings.tStandby        = 0;
  bme280.settings.filter          = 0;
  bme280.settings.tempOverSample  = 1;
  bme280.settings.pressOverSample = 1;
  bme280.settings.humidOverSample = 1;
  delay(10);
  bme280.begin();

  Serial.begin(9600);
}

void loop() {
  float tempC = bme280.readTempC();
  float humidity = bme280.readFloatHumidity();
  float pressure = bme280.readFloatPressure() / 100.0;
  float alt = bme280.readFloatAltitudeMeters();

  Serial.print(tempC);
  Serial.print(" C");

  Serial.print(humidity);
  Serial.print(" %");

  Serial.print(pressure);
  Serial.println(" hPa");

  Serial.print(alt);
  Serial.println(" m");

  Serial.println();
//------------------------------------------------------------
  e_time =  millis();

  Serial.print(e_time - s_time);
  Serial.println("ms");

  delay(1000);
}

