// Example503B
#include "SparkFunBME280.h"
#include "LiquidCrystal_I2C.h"

LiquidCrystal_I2C lcd(0x27, 16, 2);

BME280 bme280;

long s_time = 0, e_time = 0;

void setup() {
  bme280.settings.commInterface   = I2C_MODE;
  bme280.settings.I2CAddress      = 0x76;
  bme280.settings.runMode         = 3;
  bme280.settings.tStandby        = 0;
  bme280.settings.filter          = 0;
  bme280.settings.tempOverSample  = 1;
  bme280.settings.pressOverSample = 1;
  bme280.settings.humidOverSample = 1;
  delay(10);
  bme280.begin();

  lcd.init();
  lcd.backlight();
}

long c_time = 0;
long p_time = 0;
float tempC=0, humidity=0, pressure=0;

void loop() {
  c_time = millis();
  if (c_time - p_time > 1000) {
    p_time = c_time;
    tempC    = bme280.readTempC();
    humidity = bme280.readFloatHumidity();
    pressure = bme280.readFloatPressure() / 100.0;
    lcd.setCursor(0, 0);
    lcd.print(tempC, 1);
    lcd.print((char)0xDF);
    lcd.print("C ");

    lcd.print(humidity, 1);
    lcd.print("%");

    lcd.setCursor(0, 1);
    lcd.print(pressure, 1);
    lcd.print("hPa ");
  }
}

